Bug 227192 - net/openldap24-server: Fix build with LibreSSL 2.7
Summary: net/openldap24-server: Fix build with LibreSSL 2.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL: https://www.openldap.org/its/index.cg...
Keywords: needs-qa, patch
Depends on:
Blocks: 226843
  Show dependency treegraph
 
Reported: 2018-04-01 22:06 UTC by Bernard Spil
Modified: 2018-04-25 06:29 UTC (History)
3 users (show)

See Also:
delphij: maintainer-feedback+


Attachments
svn diff for net/openldap24-server (4.63 KB, patch)
2018-04-01 22:06 UTC, Bernard Spil
no flags Details | Diff
build fix (1.87 KB, patch)
2018-04-19 15:31 UTC, rozhuk.im
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-04-01 22:06:40 UTC
Created attachment 192080 [details]
svn diff for net/openldap24-server

```
net/openldap24-server: Fix build with LibreSSL 2.7

 - LibreSSL 2.7 implements OpenSSL 1.1 API

PR:
Approved by: (maintainer)
```
Comment 1 Franco Fichtner 2018-04-17 05:39:59 UTC
security/libressl is currently broken. I don't get why LibreSSL 2.7 does break both security/openssl and security/libressl builds lately, also see e.g. https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=226852
Comment 2 Xin LI freebsd_committer 2018-04-17 05:50:51 UTC
(In reply to Bernard Spil from comment #0)
Approved (thanks for working on it by the way, and you have my blessing to commit fixes for libressl related fixes in the future; I'll try not to break by testing libressl by doing poudriere builds).

Could you please also upstream the changes so they don't have to be maintained forever?   I think they will benefit other OSes that uses LibreSSL as well.
Comment 3 Bernard Spil freebsd_committer 2018-04-17 11:44:04 UTC
Hi Xin Li,

Already upstreamed this to OpenLDAP. See https://www.openldap.org/its/index.cgi?findid=8832 (also added to PR as URL)

Running build tests on 10.3/11.1 amd64/i386 and will commit if no fall-out.
Comment 4 commit-hook freebsd_committer 2018-04-17 13:47:07 UTC
A commit references this bug:

Author: brnrd
Date: Tue Apr 17 13:47:04 UTC 2018
New revision: 467605
URL: https://svnweb.freebsd.org/changeset/ports/467605

Log:
  security/openldap-server: Fix build with LibreSSL 2.7

   - LibreSSL 2.7 implements OpenSSL 1.1 API

  PR:		227192
  Approved by:	delphij (maintainer)

Changes:
  head/net/openldap24-server/files/patch-libressl
Comment 5 Bernard Spil freebsd_committer 2018-04-17 13:49:07 UTC
Thanks Xin Li! Will add your auto-approval to the list :D
Comment 6 rozhuk.im 2018-04-19 15:14:42 UTC
./.libs/libldap.so: undefined reference to `BIO_meth_set_gets'
./.libs/libldap.so: undefined reference to `BIO_meth_set_puts'
./.libs/libldap.so: undefined reference to `BIO_meth_free'
./.libs/libldap.so: undefined reference to `BIO_meth_set_destroy'
./.libs/libldap.so: undefined reference to `BIO_meth_set_write'
./.libs/libldap.so: undefined reference to `BIO_meth_set_read'
./.libs/libldap.so: undefined reference to `BIO_meth_new'
./.libs/libldap.so: undefined reference to `BIO_meth_set_create'
./.libs/libldap.so: undefined reference to `BIO_meth_set_ctrl'
cc: error: linker command failed with exit code 1 (use -v to see invocation)

with libressl-2.6.4 while building net/openldap24-client 2.4.46
Comment 7 Franco Fichtner 2018-04-19 15:16:10 UTC
Yup, that's what I mentioned 2 days ago...
Comment 8 rozhuk.im 2018-04-19 15:31:14 UTC
Created attachment 192655 [details]
build fix
Comment 9 Bernard Spil freebsd_committer 2018-04-20 10:38:58 UTC
We were still missing a patch?
Comment 10 rozhuk.im 2018-04-20 12:30:29 UTC
Yes, you miss one place, where BIO_meth_*() functions defined.
Comment 11 Franco Fichtner 2018-04-24 06:43:03 UTC
Can this be fixed please? :)
Comment 12 rozhuk.im 2018-04-24 20:35:11 UTC
thanks.
Comment 13 Franco Fichtner 2018-04-25 06:29:14 UTC
working now, thank you <3